#ifndef PATCHCONTROL_H
#define PATCHCONTROL_H 1

#define PATCHRES_NAME       "patch.resource"

struct PatchControlNode {
    struct PatchControlNode *pcn_Next;
    ULONG pcn_unknown0;
    struct Library *pcn_Library;
    LONG pcn_Offset;
    APTR pcn_FunctionAddress;
    ULONG pcn_unknown1;
    UBYTE *pcn_TaskName;
};

extern struct Library *PatchBase;

APTR GetPatchList( void );
void FreePatchList( APTR list );

#pragma libcall PatchBase GetPatchList 6 00
#pragma libcall PatchBase FreePatchList c 801

#endif /* PATCHCONTROL_H */

